<script setup>
const props = defineProps([
    'investigation',
    'active'
])

function open() {
    if(props.investigation.id) {
        $emit('open')
    }
}

</script>

<template>
<div class="d-flex mt-0 pointer-cursor hover" @click="$emit('choose')">
    <div>
        <v-icon
            :icon="investigation.id != 0 ? (investigation.opened ? 'mdi-chevron-down' : 'mdi-chevron-right') : 'mdi-nothing'"
            size="small"
            color="grey"
            @click.stop="() => {if(investigation.id) {$emit('open')}}"
        ></v-icon>
    </div>
    <div class="me-2">
        <v-icon
            icon="mdi-feather"
            size="small"
        ></v-icon>
    </div>
    <div :class="[{ 'font-weight-bold': active }, 'me-auto', 'text-truncate']">{{ investigation.name ? investigation.name : "No name" }}</div>
</div>
</template>

<style>
.hover:hover {
    background-color: #f2f2f2;
}
</style>
